<?xml version="1.0" encoding="utf-8"?>
<!-- doit être chargé après le dictionnaire mysql -->
<creole>

    <files>
        <!-- robot.conf fait l'objet d'un cp en posttemplate -->
        <file name='/var/lib/eole/robot.conf'/>
        <file name='/etc/logrotate.d/sympa' source='sympa.logrotate'/>
        <file name='/etc/rsyslog.d/eole-traps/sympa.conf' source='rsyslog_traps_sympa.conf' mkdir="True"/>
        <!-- action EAD (liens vers sympa) -->
        <file filelist='sympa' name='/usr/share/ead2/backend/config/actions/actions_mail.cfg' rm='True'/>
    </files>

    <containers>
        <container name='mail' id='13'>
            <package>eole-sympa-pkg</package>
            <service servicelist='sympa'>sympa</service>
            <service_access service='sympa'>
                <port>8787</port>
                <port>8888</port>
            </service_access>
            <service_restriction service='sympa'>
                <ip interface='eth0' netmask='netmask_admin_eth0' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_admin_eth0</ip>
                <ip interface='eth1' netmask='netmask_admin_eth1' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_admin_eth1</ip>
                <ip interface='eth2' netmask='netmask_admin_eth2' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_admin_eth2</ip>
                <ip interface='eth3' netmask='netmask_admin_eth3' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_admin_eth3</ip>
                <ip interface='eth4' netmask='netmask_admin_eth4' netmask_type='SymLinkOption' ip_type='SymLinkOption'>ip_admin_eth4</ip>
            </service_restriction>
            <service servicelist='sympa'>apache2</service>
            <service method="apache" servicelist='sympa'>wwsympa</service>
            <file filelist='sympa' name='/etc/sympa/topics.conf'/>
            <file filelist='sympa' name='/etc/sympa/list_aliases.tt2'/>
            <file filelist='sympa' name='/etc/sympa/auth.conf' owner='sympa' group='sympa' source='sympa.auth.conf'/>
            <file filelist='sympa' name='/etc/sympa/sympa.conf' mode='0644' owner='sympa' group="sympa"/>
            <file filelist='sympa' name='/etc/sympa/wwsympa.conf' mode='0644' owner='sympa' group="sympa"/>
            <file filelist='sympa' name='/etc/apache2/sites-available/wwsympa' source='apache-sympa.conf'/>
            <file filelist='sympa' name='/var/www/sympa/wwsympa.fcgi' source='wwsympa.fcgi' owner='sympa' group='sympa' mkdir='True' mode='0755'/>
        </container>
    </containers>

    <variables>
        <family name='messagerie'>
            <variable name='activer_sympa' type='oui/non' description="Activer le serveur de listes de diffusion Sympa">
                <value>oui</value>
            </variable>
        </family>
        <separators>
            <separator name='activer_sympa'>Serveur de liste</separator>
        </separators>

    </variables>

    <constraints>
        <condition name='disabled_if_in' source='activer_sympa'>
            <param>non</param>
            <target type='servicelist'>sympa</target>
            <target type='filelist'>sympa</target>
        </condition>
    </constraints>

    <help>
        <variable name='activer_sympa'>Sympa (Système de Multi-Postage Automatique) est un gestionnaire de listes électroniques</variable>
    </help>

</creole>
<!-- vim: ts=4 sw=4 expandtab
-->
